
FCKDialog.Show = function( dialogInfo, dialogName, pageUrl, dialogWidth, dialogHeight, parentWindow )
{
	if ( !parentWindow )
		parentWindow = window ;

	FCKFocusManager.Lock() ;
	
	var oReturn = parentWindow.showModalDialog( pageUrl, dialogInfo, "dialogWidth:" + dialogWidth + "px;dialogHeight:" + dialogHeight + "px;help:no;scroll:no;status:no") ;
	
	if ( !oReturn )
		alert( FCKLang.DialogBlocked ) ;	

	FCKFocusManager.Unlock() ;
}
